﻿using System;
using System.ServiceModel;

namespace Comm.Wcf.Interfaces
{
    /// <summary>
    ///   WCF interface for Data
    /// </summary>
    [ServiceContract(
        CallbackContract = typeof (IDataCallback),
        SessionMode = SessionMode.Required)]
    public interface IData
    {
        #region Methods

        /// <summary>
        ///   Request alive round trip
        /// </summary>
        /// <param name="id"> Unique identification number </param>
        [OperationContract(IsOneWay = true)]
        void RequestAliveRoundTrip(Guid id);

        /// <summary>
        ///   Requests a "hello world" from server.
        /// </summary>
        /// <param name="id"> Unique identification number </param>
        [OperationContract(IsOneWay = true)]
        void RequestHelloWorld(Guid id);

        /// <summary>
        ///   Subscribe client
        /// </summary>
        /// <param name="id"> Unique identification number </param>
        [OperationContract(IsOneWay = true)]
        void Subscribe(Guid id);

        /// <summary>
        ///   Unsubscribe client
        /// </summary>
        /// <param name="id"> Unique identification number </param>
        [OperationContract(IsOneWay = true)]
        void Unsubscribe(Guid id);

        #endregion
    }
}