﻿using System.ServiceModel;

namespace Comm.Wcf.Interfaces
{
    /// <summary>
    ///   WCF Interface for Data callback
    /// </summary>
    public interface IDataCallback
    {
        #region Methods

        /// <summary>
        ///   Alive round trip answer. This will be send for an each alive round trip request from the client side.
        /// </summary>
        [OperationContract(IsOneWay = true)]
        void SetAliveRoundTrip();

        /// <summary>
        ///   Update "hello world"
        /// </summary>
        /// <param name="helloWorld"> Hello world content with server time </param>
        [OperationContract(IsOneWay = true)]
        void UpdateHelloWorld(string helloWorld);

        #endregion
    }
}