﻿using System;
using System.ComponentModel;

namespace Server.Model
{
    public class CLogItem : INotifyPropertyChanged
    {
        #region Fields

        private string _logMessage;
        private DateTime _timeStamp;

        #endregion

        #region Properties

        public string LogMessage
        {
            get { return _logMessage; }
            set
            {
                if (_logMessage != value)
                {
                    _logMessage = value;
                    NotifyPropertyChanged("LogMessage");
                }
            }
        }

        public DateTime TimeStamp
        {
            get { return _timeStamp; }
            set
            {
                if (_timeStamp != value)
                {
                    _timeStamp = value;
                    NotifyPropertyChanged("TimeStamp");
                }
            }
        }

        #endregion

        #region Methods

        public CLogItem()
        {
            
        }

        public CLogItem(String logMessage)
        {
            _logMessage = logMessage;
            _timeStamp = DateTime.Now;
        }

        private void NotifyPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        #endregion

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        #endregion
    }
}